Get query
Get query including paginated results if the query execution is complete.
Note: You can only paginate up until 10,000 rows. Please use our Export to S3 option for the full result set.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
query_id
The unique identifier for the query
Query parameters
offset
Starting index to return in the results
limit
Max number of items to return in the results
exclude_results
Optionally exclude results from the response
Response
Query data including paginated results if available
createdUserId
The user that created the resource
createdDt
The created datetime of the resource
updatedUserId
The user that last updated the resource
updatedDt
The datetime the resource was last updated
queryId
The query id
query
The SQL query
datasetId
The dataset id
status
The current status of the query
startDt
The time the query started executing
endDt
The time the query finished executing
isActive
Defines if the query is in an active state or not
result
The result of the query
